<?php get_header(); ?>
<!-- Begin Blog -->
<section class="pages" id="blog">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-8">
          <hr class="sm">
            <?php /* If this is a tag archive */ if( is_tag() ) { ?>
			<h2><?php _e("Posts tagged with", "heylone"); ?> "<?php single_tag_title(); ?>"</h2>
			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h2><?php _e("Archive for", "heylone"); ?> <?php the_time('F jS, Y'); ?></h2>
			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2><?php _e("Archive for", "heylone"); ?> <?php the_time('F, Y'); ?></h2>
			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h2><?php _e("Archive for", "heylone"); ?> <?php the_time('Y'); ?></h2>
			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<?php $author = get_userdata( get_query_var('author') );?>
			<h2><?php _e("Author archive for", "heylone"); ?> "<?php echo esc_attr($author->display_name);?>"</h2>
			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2><?php _e("Blog Archives", "heylone"); ?></h2>
			<?php } else { ?>
			<h2><?php wp_title(''); ?></h2>
			<?php } ?>
        </div>
        <div class="col-md-4 title-companion"></div>
      </div>
    </header>
    <div class="row">
      <div class="col-md-9" id="content">
      	<?php
		if (have_posts()):
			while (have_posts()):the_post();
				$customPost = get_post_custom(get_the_ID());
				$categories = get_the_category();
				$separator = ', '; $output = '';
				if($categories){
					foreach($categories as $category) {
						$output .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "%s" , 'heylone'), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
					}
				}
				$format = get_post_format( get_the_ID() );
				switch($format){
					case 'image': ?>
                    <article class="post post-image">
                       <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link(); _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if ( has_post_thumbnail()) : the_post_thumbnail('blog_posts'); endif; ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
                    <?php break;
					case 'gallery': $postGallery = $customPost['imic_post_gallery'];
									$postSlider = '';
									foreach($postGallery as $slide){
										$slideImageURL = wp_get_attachment_image_src( $slide, 'blog_posts' );
										$postSlider .= '<li class="item"><img src="' . $slideImageURL[0] . '" alt="slide1"></li>';															   
									}
					?> 
					<article class="post post-slider">
						<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
					   <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link(); _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
						<ul class="adv-carousel owl-carousel single-carousel" data-columns="1" data-autoplay="yes" data-pagination="no" data-arrows="yes" data-single-item="yes">
                          <?php echo ''.$postSlider; ?>
					   </ul>
					   <div class="post-content">
                       		<?php the_excerpt(); ?>
						   <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
					   </div>
					</article>
					<?php break;
					case 'audio': $postAudio = get_post_meta(get_the_ID(),'imic_post_audio','true'); ?>
                    <article class="post post-audio">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link(); _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if(!empty($postAudio)){ echo ''.$postAudio; } ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
					<?php break;
                                      case 'video': $postVideo = get_post_meta(get_the_ID(),'imic_post_video','true'); ?>
                    <article class="post post-video">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link(); _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if(!empty($postVideo)){ echo imic_video_embed($postVideo, 500, 281); } ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
                    <?php break;
					default : ?>
                    <article class="post post-image">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link();  _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if ( has_post_thumbnail()) : the_post_thumbnail('blog_posts'); endif; ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
                    <?php break;
				}
			endwhile;
		endif;
		
		pagination();
		?>
      </div>
      <?php if(is_active_sidebar('blog-sidebar')):
            echo'<div class="col-md-3" id="sidebar">';
            dynamic_sidebar('blog-sidebar');
            echo'</div>';
            endif; ?>
    </div>
  </div>
</section>
<!-- End Blog --> 
<?php get_footer(); ?>