<?php
	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'heylone') ?></p>
	<?php
		return;
	}
/*-----------------------------------------------------------------------------------*/
/*	Display the comments + Pings
/*-----------------------------------------------------------------------------------*/
		if ( have_comments() ) : // if there are comments ?>
            <div id="comment-wrap">
                <h3><i class="fa fa-comment"></i> <?php echo __('Comments', 'heylone') . " ("; comments_popup_link(__('0', ''), __('1', ''), __('%', '')); echo ")"  ?></h3>
                <?php if ( ! empty($comments_by_type['comment']) ) : // if there are normal comments ?>
                    <ol class="comments">
                    <?php wp_list_comments('type=comment&avatar_size=51&callback=imic_comment'); ?>
                    </ol>
                <?php endif; ?>
                <?php if ( ! empty($comments_by_type['pings']) ) : // if there are pings ?>
                    <h3 id="pings"><?php _e('Trackbacks for this post', 'heylone') ?></h3>
                    <ol class="pinglist">
                    <?php wp_list_comments('type=pings&callback=imic_list_pings'); ?>
                    </ol>
                <?php endif; ?>
                <ol class="comments">
                        <?php wp_list_comments('avatar_size=40&callback=imic_comment&style=ul'); ?>
                </ol>        
                <?php paginate_comments_links(); ?>
                
                <?php
/*-----------------------------------------------------------------------------------*/
/*	Deal with no comments or closed comments
/*-----------------------------------------------------------------------------------*/
				if ('closed' == $post->comment_status ) : // if the post has comments but comments are now closed ?>
					<p class="nocomments"><?php _e('Comments are now closed for this article.', 'heylone') ?></p>
				<?php endif; ?>
            </div>
 		<?php else :  ?>
                    <?php if ('open' == $post->comment_status) : // if comments are open but no comments so far ?>
                    <?php else : // if comments are closed ?>
                    <?php if (is_single()) { ?><p class="nocomments"><?php _e('Comments are closed.', 'heylone') ?></p><?php } ?> 
        <?php endif; ?>   
<?php endif;

/* ----------------------------------------------------------------------------------- */
/* 	Comment Form
  /*----------------------------------------------------------------------------------- */
function heylone_comment_form_before()
{
    echo '<div id="respond-wrap" class="clearfix reply-form post-comment-form">
        	<div  id="respond">
            <div class="comments-sidebar">';
}
add_action('comment_form_before', 'heylone_comment_form_before');

function heylone_comment_form_after()
{
    echo '</div></div></div>';
}
add_action('comment_form_after', 'heylone_comment_form_after');
function heylone_move_comment_fields( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	$fields['comment'] = $comment_field;
	return $fields;
}
 
add_filter( 'comment_form_fields', 'heylone_move_comment_fields' );
add_filter('comment_form_defaults', 'heylone_comment_form');
function heylone_comment_form($form_options)
{
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
    // Fields Array
    $fields = array(
        'author' => '<div class="row margin-20">
                                <div class="form-group">
                                    <div class="col-md-4 col-sm-4">
                                        <input type="text" class="form-control input-lg" name="author" id="author" value="" size="22" tabindex="1" placeholder="'.esc_html__('Your name', 'heylone').'">
                                    </div>',
        'email' => '<div class="col-md-4 col-sm-4">
                                        <input type="email" class="form-control input-lg" name="email" id="email" value="" size="22" tabindex="2" placeholder="'.esc_html__('Your email', 'heylone').'">
                                    </div>',
        'url' => '<div class="col-md-4 col-sm-4">
                                        <input type="url" class="form-control input-lg" name="url" id="url" value="" size="22" tabindex="3" placeholder="'.esc_html__('Website (optional)', 'heylone').'"></div>
                                </div>
                            </div>',
    );
    // Form Options Array
    $form_options = array(
        // Include Fields Array
        'fields' => apply_filters( 'comment_form_default_fields', $fields ),
        // Template Options
        'comment_field' =>
        '<div class="row margin-20">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <textarea name="comment" class="form-control input-lg" id="comment-textarea" cols="8" rows="4"  tabindex="4" placeholder="'.esc_html__('Your comment','heylone').'" ></textarea>
                                </div>
                            </div>
                        </div>',
        'must_log_in' => '',
        'logged_in_as' => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>','heylone' ), admin_url( 'profile.php' ), '', wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
        'comment_notes_before' =>'',
        'comment_notes_after' => '',
        'submit_field'=>'<div class="row"><div class="form-group"><div class="col-md-12">%1$s %2$s</div></div></div>',
		'class_submit' => 'btn btn-default btn-lg',
        // Rest of Options
        'id_form' => 'form-comment',
        'id_submit' => 'comment-submit',
        'title_reply' => '<h3 class="widgettitle">'.esc_html__( 'Post a comment','heylone' ),
		'title_reply_after' => '</h3>',
        'title_reply_to' => esc_html__( 'Leave a Reply to %s','heylone' ),
        'cancel_reply_link' => esc_html__( 'Cancel reply','heylone' ),
        'label_submit' => esc_html__( 'Submit your comment', 'heylone' ),
    );
    return $form_options;
}
comment_form();