<?php
/*
 *
 * 	imic Framework Functions
 * 	------------------------------------------------
 * 	imic Framework
 * 	Copyright imic  2014 - http://www.imicreation.com/
 * 	imic_content_filter()
 * 	imic_posts_custom_columns()
 *       imic_register_sidebars()
 * 	imic_custom_styles()
 * 	imic_custom_script()
 * 	imic_video_embed()
 *       imic_video_youtube()
 *       imic_video_vimeo()
 *       imic_get_embed_src() 
 */
/* SHORTCODE FIX
  ================================================== */
if (!function_exists('imic_content_filter')) {
    function imic_content_filter($content) {
        // array of custom shortcodes requiring the fix 
        $block = join("|", array("imic_button", "icon", "iconbox", "imic_image", "anchor", "paragraph", "divider", "heading", "alert", "blockquote", "dropcap", "code", "label", "container", "spacer", "span", "one_full", "one_half", "one_third", "one_fourth", "one_sixth", "progress_bar", "imic_count", "imic_tooltip", "imic_video", "htable", "trow", "thcol", "tcol", "pricing_table", "pt_column", "pt_package", "pt_button", "pt_details", "pt_price", "list", "list_item", "list_item_dt", "list_item_dd", "accordions", "accgroup", "acchead", "accbody", "toggles", "togglegroup", "togglehead", "togglebody", "tabs", "tabh", "tab", "tabc", "tabrow", "section", "pagination", "page_first", "page_last", "page"));
        // opening tag
        $rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/", "[$2$3]", $content);
        // closing tag
        $rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/", "[/$2]", $rep);
        return $rep;
    }
    add_filter("the_content", "imic_content_filter");
}
/* CUSTOM POST TYPE COLUMNS
  ================================================== */
if (!function_exists('imic_posts_custom_columns')) {
    function imic_posts_custom_columns($column) {
        global $post;
        switch ($column) {
            case "description":
                the_excerpt();
                break;
            case "thumbnail":
                the_post_thumbnail('thumbnail');
                break;
            case "portfolio-category":
                echo get_the_term_list($post->ID, 'portfolio-category', '', ', ', '');
                break;
        }
    }
    add_action("manage_posts_custom_column", "imic_posts_custom_columns");
}
/* REGISTER SIDEBARS
  ================================================== */
if (!function_exists('imic_register_sidebars')) {
    add_action( 'widgets_init', 'imic_register_sidebars' );
    function imic_register_sidebars() {
        if (function_exists('register_sidebar')) {
            register_sidebar(array(
                'name' => __('Blog Sidebar', 'heylone'),
                'id' => 'blog-sidebar',
                'description' => '',
                'class' => '',
                'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<h4 class="widgettitle">',
                'after_title' => '</h4>'
            ));
        }
    }
}
/* CUSTOM CSS OUTPUT
  ================================================== */
if (!function_exists('imic_custom_styles')) {
    function imic_custom_styles() {
        $options = get_option('imic_options');
// OPEN STYLE TAG
        echo '<style type="text/css">' . "\n";
// Custom CSS
		$custom_css = '';
		if (isset($options['custom_css'])) {
            $custom_css = $options['custom_css'];
        }
        $show_header = (isset($options['show_header_alltime'])) ? $options['show_header_alltime'] : '2';
        $theme_color_type = (isset($options['theme_color_type'])) ? $options['theme_color_type'] : 0;
        if ($theme_color_type == 1) {
            $customColor = $options['custom_theme_color'];
            echo '.text-primary, .btn-primary .badge, .btn-link,a.list-group-item.active > .badge,.nav-pills > .active > a > .badge, p.drop-caps:first-child:first-letter, .accent-color-text, .navigation ul > li > a:hover, .navigation ul > li > a.current, h4 i, .fact-ico, .play-video, .icon-box, .services-list i, .hlicon i, .hlsicon, .blog-item h3 a:hover, .post-title a:hover, .navigation ul > li.external.current-menu-item > a{
          color:' . $customColor . '
          }
          p.drop-caps.secondary:first-child:first-letter, .accent-bg, .fa.accent-color, .btn-primary,
                            .btn-primary.disabled,
                            .btn-primary[disabled],
                            fieldset[disabled] .btn-primary,
                            .btn-primary.disabled:hover,
                            .btn-primary[disabled]:hover,
                            fieldset[disabled] .btn-primary:hover,
                            .btn-primary.disabled:focus,
                            .btn-primary[disabled]:focus,
                            fieldset[disabled] .btn-primary:focus,
                            .btn-primary.disabled:active,
                            .btn-primary[disabled]:active,
                            fieldset[disabled] .btn-primary:active,
                            .btn-primary.disabled.active,
                            .btn-primary[disabled].active,
                            fieldset[disabled] .btn-primary.active,
                            .dropdown-menu > .active > a,
                            .dropdown-menu > .active > a:hover,
                            .dropdown-menu > .active > a:focus,
                            .nav-pills > li.active > a,
                            .nav-pills > li.active > a:hover,
                            .nav-pills > li.active > a:focus,
                            .pagination > .active > a,
                            .pagination > .active > span,
                            .pagination > .active > a:hover,
                            .pagination > .active > span:hover,
                            .pagination > .active > a:focus,
                            .pagination > .active > span:focus,
                            .label-primary,
                            .progress-bar,
                            a.list-group-item.active,
                            a.list-group-item.active:hover,
                            .panel-primary > .panel-heading, .carousel-indicators .active, .owl-theme .owl-controls .owl-page.active span, .navigation, .owl-theme .owl-controls.clickable .owl-page:hover span, hr.sm, .pricing-column.highlight h3, .flex-control-nav a:hover, .flex-control-nav a.flex-active,
                           .btn-primary:hover,
                            .btn-primary:focus,
                            .btn-primary:active,
                            .btn-primary.active,
                            .open .dropdown-toggle.btn-primary{
                              background-color: ' . $customColor . '
                             }
                            .nav .open > a,
                            .nav .open > a:hover,
                            .nav .open > a:focus,
                            .pagination > .active > a,
                            .pagination > .active > span,
                            .pagination > .active > a:hover,
                            .pagination > .active > span:hover,
                            .pagination > .active > a:focus,
                            .pagination > .active > span:focus,
                            a.thumbnail:hover,
                            a.thumbnail:focus,
                            a.thumbnail.active,
                            a.list-group-item.active,
                            a.list-group-item.active:hover,
                            a.list-group-item.active:focus,
                            .panel-primary,
                            .panel-primary > .panel-heading{
                                    border-color:' . $customColor . '
                             }
                            .panel-primary > .panel-heading + .panel-collapse .panel-body{
                                    border-top-color:' . $customColor . '
                            }
                            .panel-primary > .panel-footer + .panel-collapse .panel-body{
                                    border-bottom-color:' . $customColor . '
                            }
                            .project-overlay{
                                    background-color:' . $customColor . '
                            }
                            .contact-info, .contact-info a, .contact-info a:hover{
                            color:' . $customColor . '
                            }
							#tweets svg path{fill: ' . $customColor . '}';
        }
        // USER STYLES
        if ($custom_css) {
            echo "\n" . '/*========== User Custom CSS Styles ==========*/' . "\n";
            echo ''.$custom_css;
        }
		
		if($show_header == 1 || $show_header == 2){
			echo '.site-header .menu-toggle{display:none;}.site-header .navigation{display:block;}
            @media only screen and (max-width: 992px) {.site-header .menu-toggle{display:block;}.site-header .navigation{display:none;}}';
		}
		
        // CLOSE STYLE TAG
        echo "</style>" . "\n";
    }
    add_action('wp_head', 'imic_custom_styles');
}
/* CUSTOM JS OUTPUT
  ================================================== */
if (!function_exists('imic_custom_script')) {
    function imic_custom_script() {
        $options = get_option('imic_options');
		$custom_js = '';
		if (isset($options['custom_js'])) {
            $custom_css = $options['custom_js'];
        }
        if ($custom_js) {
            echo '<script type ="text/javascript">'.
            $custom_js.
            '</script>';
       	}
	}
    add_action('wp_footer', 'imic_custom_script');
}
    /* VIDEO EMBED FUNCTIONS
      ================================================== */
    if (!function_exists('imic_video_embed')) {
        function imic_video_embed($url, $width = 500, $height = 281) {
            if (strpos($url, 'youtube') || strpos($url, 'youtu.be')) {
                return imic_video_youtube($url, $width, $height);
            } else {
                return imic_video_vimeo($url, $width, $height);
            }
        }
    }
    if (!function_exists('imic_video_youtube')) {
        function imic_video_youtube($url, $width = 640, $height = 480) {
            preg_match('/[\\?\\&]v=([^\\?\\&]+)/', $url, $video_id);
            return '<iframe itemprop="video" src="//www.youtube.com/embed/' . $video_id[1] . '?wmode=transparent" width="' . $width . '" height="' . $height . '" ></iframe>';
        }
    }
    if (!function_exists('imic_video_vimeo')) {
        function imic_video_vimeo($url, $width = 640, $height = 480) {
            preg_match('/http:\/\/vimeo.com\/(\d+)$/', $url, $video_id);
            return '<iframe src="//player.vimeo.com/video/' . $video_id[1] . '?title=0&amp;byline=0&amp;portrait=0" width="' . $width . '" height="' . $height . '" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
        }
    }
    if (!function_exists('imic_get_embed_src')) {
        function imic_get_embed_src($url) {
            if (strpos($url, 'youtube')) {
                preg_match('/[\\?\\&]v=([^\\?\\&]+)/', $url, $video_id);
                if (isset($video_id[1])) {
                    return '//www.youtube.com/embed/' . $video_id[1] . '?autoplay=1&amp;wmode=transparent';
                }
            } else {
                preg_match('/http:\/\/vimeo.com\/(\d+)$/', $url, $video_id);
                if (isset($video_id[1])) {
                    return '//player.vimeo.com/video/' . $video_id[1] . '?title=0&amp;byline=0&amp;portrait=0&amp;autoplay=1&amp;wmode=transparent';
                }
            }
        }
    }
?>