<?php
define('ImicFrameworkPath', dirname(__FILE__) . '/');
include_once(ABSPATH . 'wp-admin/includes/plugin.php');
define('ImicFunctionPath', ImicFrameworkPath . 'functions/');
load_theme_textdomain('heylone', IMIC_FILEPATH . '/language/');
require_once(ImicFrameworkPath . 'theme-functions.php');
require_once(ImicFrameworkPath . 'functions.php');
require_once(ImicFrameworkPath . 'barebones-config.php');
require_once(ImicFrameworkPath . 'welcome.php');

/* PLUGIN INCLUDES
================================================== */
require_once(ImicFrameworkPath . '/tgm/plugin-includes.php');

/* META BOX FRAMEWORK
================================================== */
require_once(ImicFrameworkPath . 'meta-boxes.php');

/* LOAD STYLESHEETS
================================================== */
if (!function_exists('imic_enqueue_styles')) {
	function imic_enqueue_styles()
	{
		$theme_info = wp_get_theme();
		$options = get_option('imic_options');
		wp_register_style('imic_bootstrap', IMIC_THEME_PATH . '/css/bootstrap.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_register_style('imic_fontawesome', IMIC_THEME_PATH . '/css/font-awesome.min.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_register_style('imic_main', get_stylesheet_uri(), array(), $theme_info->get( 'Version' ), 'all');
		wp_register_style('animations', IMIC_THEME_PATH . '/css/animations.css', array(), NULL, 'all');
		wp_register_style('google-fonts', '//fonts.googleapis.com/css?family=Lato:400,400i,700,700i|Roboto+Condensed:400,700|Volkhov:400,400i', array(), $theme_info->get( 'Version' ), 'all');
		wp_register_style('imic_prettyPhoto', IMIC_THEME_PATH . '/plugins/prettyphoto/css/prettyPhoto.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_register_style('imic_owl-carousel', IMIC_THEME_PATH . '/plugins/owl-carousel/css/owl.carousel.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_register_style('imic_owl-theme', IMIC_THEME_PATH . '/plugins/owl-carousel/css/owl.theme.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_enqueue_style('imic_bootstrap');
		wp_enqueue_style('imic_fontawesome');
		wp_enqueue_style('imic_main');
		wp_enqueue_style('animations');
		wp_enqueue_style('google-fonts');
		wp_enqueue_style('imic_prettyPhoto');
		wp_enqueue_style('imic_owl-carousel');
		wp_enqueue_style('imic_owl-theme');
		if (isset($options['theme_color_type']) && $options['theme_color_type'][0] == 0) {
			wp_enqueue_style('imic_colors', IMIC_THEME_PATH . '/css/colors/' . $options['theme_color_scheme'], array(), $theme_info->get( 'Version' ), 'all');
		} else {
            wp_enqueue_style('imic_colors-default', IMIC_THEME_PATH . '/css/colors/color1.css', array(), $theme_info->get( 'Version' ), 'all');
        }
	}
	add_action('wp_enqueue_scripts', 'imic_enqueue_styles', 99);
}
if (!function_exists('imic_enqueue_scripts')) {
	function imic_enqueue_scripts()
	{
		$theme_info = wp_get_theme();
		wp_register_script('imic-modernizr', IMIC_THEME_PATH . '/js/modernizr.js', 'jquery', $theme_info->get( 'Version' ), FALSE);
		wp_register_script('imic-prettyphoto', IMIC_THEME_PATH . '/plugins/prettyphoto/js/prettyphoto.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-owl-carousel', IMIC_THEME_PATH . '/plugins/owl-carousel/js/owl.carousel.min.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-waypoints', IMIC_THEME_PATH . '/js/waypoints.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-flexslider', IMIC_THEME_PATH . '/plugins/flexslider/js/jquery.flexslider.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-helper-plugins', IMIC_THEME_PATH . '/js/helper-plugins.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-bootstrap', IMIC_THEME_PATH . '/js/bootstrap.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-skrollr', IMIC_THEME_PATH . '/js/skrollr.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-YTPlayer', IMIC_THEME_PATH . '/js/jquery.mb.YTPlayer.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('imic-init', IMIC_THEME_PATH . '/js/init.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_register_script('comment_validation', IMIC_THEME_PATH . '/js/comment_validation.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_enqueue_script('jquery');
		wp_enqueue_script('imic-modernizr');
		wp_enqueue_script('imic-prettyphoto');
		wp_enqueue_script('imic-owl-carousel');
		wp_enqueue_script('imic-waypoints');
		wp_enqueue_script('imic-flexslider');
		wp_enqueue_script('imic-helper-plugins');
		wp_enqueue_script('imic-bootstrap');
		wp_enqueue_script('imic-skrollr');
		wp_enqueue_script('imic-YTPlayer');
		/* FOOTER JQUERY
                ================================================== */
		wp_enqueue_script('front_ajax', IMIC_THEME_PATH . '/js/front_ajax.js', '', $theme_info->get( 'Version' ), true);
		$page_on_front = get_option('page_on_front');
		$args = array(
			'child_of' => $page_on_front,
			'post_type' => 'page',
			'post_status' => 'publish',
			'sort_order' => 'ASC',
			'sort_column' => 'menu_order',
		);
		$pages = get_pages($args);
		$home_child_permalink = array();
		foreach ((array) $pages as $home_child) {
			array_push($home_child_permalink,  get_permalink($home_child->ID));
		}
		wp_localize_script('front_ajax', 'urlajax', array('ajaxurl' => site_url() . '/', 'home_child_array' => $home_child_permalink, 'is_front_page' => is_front_page()));
		/* MENU JQUERY
               ================================================== */
		wp_enqueue_script('imic-init');
		wp_localize_script('imic-init', 'menulinks', array('siteurl' => site_url() . '/'));
		if (is_singular() && comments_open()) {
			wp_enqueue_script('comment_validation');
			wp_enqueue_script('comment-reply');
		}
		/*if (defined('HEYLONE_CORE__PLUGIN_URL'))
		{
			//Localize helper plugin js
			wp_enqueue_script('tweetie-plugin', IMIC_THEME_PATH . '/js/tweetie.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
			wp_enqueue_script('tweetie-plugin-init', IMIC_THEME_PATH . '/js/tweetie-init.js', 'tweetie-plugin', $theme_info->get( 'Version' ), TRUE);
			wp_localize_script('tweetie-plugin', 'apitweet', array('path' => HEYLONE_CORE__PLUGIN_URL . 'api/tweet.php'));
		}*/
	}
	add_action('wp_enqueue_scripts', 'imic_enqueue_scripts');
}
/* LOAD BACKEND SCRIPTS
================================================== */
if (!function_exists('imic_admin_scripts')) {
	function imic_admin_scripts()
	{
		$theme_info = wp_get_theme();
		wp_register_script('imic-admin-functions', IMIC_THEME_PATH . '/js/imic_admin.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_enqueue_script('imic-admin-scripts-new', IMIC_THEME_PATH . '/js/imi-plugins.js', 'jquery', $theme_info->get( 'Version' ), TRUE);
		wp_localize_script('imic-admin-scripts-new', 'vals', array('siteurl' => esc_url(site_url('wp-admin/'))));
		wp_enqueue_style('imic_admin', IMIC_THEME_PATH . '/css/editor-style.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_enqueue_style('heylone-admin-style', IMIC_THEME_PATH . '/css/admin-pages.css', array(), $theme_info->get( 'Version' ), 'all');
		wp_enqueue_script('imic-admin-functions');
		$porfolio_data_for_append = imic_admin_scripts_for_portfolio_data();
		wp_localize_script('imic-admin-functions', 'url_admin_ajax', array('ajaxurl_admin' => site_url() . '/', 'append_data' => $porfolio_data_for_append));
	}
	add_action('admin_init', 'imic_admin_scripts');
}
