<?php
$meta_boxes = array();

function heylone_register_meta_boxes($meta_boxes)
{
	global $meta_boxes;
	/* * ** Meta Box Functions **** */
	$prefix = 'imic_';
	/**** Start Home Template Meta Box ****/
    /**** Page Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'def',
		'title' => __('Page Description Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-home.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Page Heading', 'heylone'),
				'id' => $prefix . 'page_heading',
				'desc' => __("Enter heading text to display on page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),								
			array(
				'name' => __('Page Right Text', 'heylone'),
				'id' => $prefix . 'page_text',
				'desc' => __("Enter text to display on right.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			)								
		)
	);
	$meta_boxes[] = array(
		'id'    => 'template-home1',
		'title' => __('Hero Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-home.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Hero Type', 'heylone'),
				'id'   => $prefix . 'showcase_type',
				'type' => 'select',
				'options' => array(
					'0'		=> __('Image', 'heylone'),
					'1'		=> __('Images Slider', 'heylone'),
					'2'		=> __('Video', 'heylone')
				),
				'multiple' => false,
				'std'  => '0',
				'desc' => __('Select hero type to display on home page.', 'heylone')
			),
			array(
				'name' => __('Upload hero image', 'heylone'),
				'id' => $prefix . 'showcase_image',
				'desc' => __("Upload hero image of the site.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 1,
				'visible' => array( 'imic_showcase_type', '=', '0' )
			),
			array(
				'name' => __('Hero slider images', 'heylone'),
				'id' => $prefix . 'showcase_slider',
				'desc' => __("Upload images to run in hero slider on home page.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 20,
				'visible' => array( 'imic_showcase_type', '=', '1' )
			),
			array(
				'name' => __('Hero Youtube Video', 'heylone'),
				'id' => $prefix . 'showcase_video',
				'desc' => __("Enter YouTube video URL to play video on home page.", 'heylone'),
				'type'  => 'text',
				'visible' => array( 'imic_showcase_type', '=', '2' )
			),
			array(
				'name' => __('Hero Logo', 'heylone'),
				'id' => $prefix . 'showcase_logo',
				'desc' => __("Upload logo to show over Image, Slider or Video", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 1
			),
			array(
				'name' => __('Rotating Text', 'heylone'),
				'id' => $prefix . 'running_text',
				'clone'=> true,
				'desc' => __("Enter text to run on hero area.", 'heylone'),
				'type'  => 'text'
			),
			array(
				'name' => __('Select page to link arrow in the hero area', 'heylone'),
				'id' => $prefix . 'page_to_link_arrow',
				'type' => 'select',
				'desc' => '',
				'options' => imic_get_all_pages(),
		   )
		)
	);
	/**** End Home Template Meta Box ****/
						
	/**** Start Work Template Meta Box *******/
	$meta_boxes[] = array(
		'id'    => 'template-portfolio1',
		'title' => __('Work Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-portfolio.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Add Portfolio Item', 'heylone'),
				'id' => $prefix . 'portfolio_item',
				'type' => 'select',
				'desc' => '<input type="button" value="' . __('Add new', 'heylone') . '" class="add_new_portfolioitem button">',
				'options' => imic_get_post_type_list_key('portfolio'),
				'std' => '',
			),
			array(
				'name' => __('Portfolio Hidden', 'heylone'),
				'id' => $prefix . 'portfolio_hiddenitem',
				'type' => 'text',
				'std' => '',
			)
		)
	);				
						
	$meta_boxes[] = array(
		'id'    => 'template-portfolio2',
		'title' => __('From Blog Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-portfolio.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('From The Blog Title', 'heylone'),
				'id' => $prefix . 'portfolio_fb_heading',
				'desc' => __("Enter heading text to display on portfolio's 'From Blog' section.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Blog Posts', 'heylone'),
				'id'   => $prefix . "portfolio_fb_nblog",
				'type' => 'text',
				'std' => '',
				'desc' => __("Enter value for the number of posts to show at Blog section.", 'heylone'),
			)
		)
	);
	/**** End Work Template Meta Box *******/
	
	/**** Start About Template Meta Box *******/
	$meta_boxes[] = array(
		'id'    => 'template-about1',
		'title' => __('Middle Layer Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-about.php'),
		),
		'show_names' => true,
		'fields' => array(								
			array(
				'name' => __( 'Column 1 Content', 'heylone' ),
				'id'   => $prefix . 'about_ml_how',
				'type' => 'wysiwyg',
				'raw'  => false,
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => false,
					'media_buttons' => false,
				),
			),									
			array(
				'name' => __( 'Column 2 Content', 'heylone' ),
				'id'   => $prefix . 'about_ml_what',
				'type' => 'wysiwyg',
				'raw'  => false,
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => false,
					'media_buttons' => false,
				),
			),	
			array(
				'name' => __( 'Column 3 Slider Images', 'heylone' ),
				'id'   => $prefix . 'about_slider',
				'type'  => 'image_advanced',
				'max_file_uploads' => 20
			),
		)
	);
						
	$meta_boxes[] = array(
		'id'    => 'template-about2',
		'title' => __('Some Facts Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-about.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Heading', 'heylone'),
				'id' => $prefix . 'about_sf_heading',
				'desc' => __("Enter heading text to display in some facts box.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Upload Background Image', 'heylone'),
				'id' => $prefix . 'about_sf_image',
				'desc' => __("Upload background image of the some fact box.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 1
			),
			array(
				'name' => __( 'Add Facts', 'heylone' ),
				'id'   => $prefix . 'about_sf_facts',
				'type' => 'wysiwyg',
				'raw'  => false,
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => false,
					'media_buttons' => false,
				),
			)	
		)
	);				
	/**** End About Template Meta Box *******/
	
	/**** Start Team Template Meta Box *******/
	$meta_boxes[] = array(
		'id'    => 'template-team1',
		'title' => __('Team Members Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-team.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Team members to show', 'heylone'),
				'id' => $prefix . 'team_page_members',
				'desc' => __("Enter number of members to display on page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),	
		)
	);
									
	$meta_boxes[] = array(
		'id'    => 'template-team2',
		'title' => __('Tweet Box Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-portfolio.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Upload background image', 'heylone'),
				'id' => $prefix . 'team_tb_image',
				'desc' => __("Upload background image for the tweets box.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 1
			)	
		)
	);			
	/**** End Team Template Meta Box *******/
	/**** Start Services Template Meta Box *******/
	$meta_boxes[] = array(
		'id'    => 'template-services1',
		'title' => __('Testimonial Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-services.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Upload background image', 'heylone'),
				'id' => $prefix . 'service_t_image',
				'desc' => __("Upload background image for the testimonials box.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 1
			),
			array(
				'name' => __('Testimonials No.', 'heylone'),
				'id' => $prefix . 'service_t_numbers',
				'desc' => __("Enter number of testimonials to display on page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Testimonials slider speed', 'heylone'),
				'id' => $prefix . 'testimonials_slider_speed',
				'desc' => __("Select time for the slider speed", 'heylone'),
				'type'  => 'select',
				 'options' => imic_slider_speed(),
			),
		)
	);
						
	$meta_boxes[] = array(
		'id'    => 'template-services2',
		'title' => __('Price Table Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-services.php'),
		),
		'show_names' => true,
		'fields' => array(								
			array(
				'name' => __( 'Add Pricing Table', 'heylone' ),
				'id'   => $prefix . 'service_pt_table',
				'type' => 'wysiwyg',
				'raw'  => false,
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => false,
					'media_buttons' => false,
				),
			)
		)
	);								
	/**** End Services Template Meta Box *******/
	
	/**** Start Contact Template Meta Box *******/
	$meta_boxes[] = array(
		'id'    => 'template-contact1',
		'title' => __('Contact Details Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-contact.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Contact Address', 'heylone'),
				'id' => $prefix . 'contact_address',
				'desc' => __("Enter contact address to display on contact page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Contact Email', 'heylone'),
				'id' => $prefix . 'contact_email',
				'desc' => __("Enter contact email to display on contact page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Contact Number', 'heylone'),
				'id' => $prefix . 'contact_number',
				'desc' => __("Enter contact number to display on contact page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name'  => __('Map Details', 'heylone'),
				'id'    => $prefix."contact_map",
				'desc'  =>  __('Enter Latitude/Longitude value to display map on contact page. ', 'heylone').'<a href="https://www.latlong.net/" target="_blank">Get your address Latitude/Longitude Values</a>',
				'type'  => 'text_list',
				'clone'=>false,
				'options' => array(
					'0' => __('Latitude', 'heylone'),
					'1' => __('Longitude', 'heylone')
				)
			),
		)
	);					
						
	$meta_boxes[] = array(
		'id'    => 'template-contact2',
		'title' => __('Contact Page Email Meta Box', 'heylone'),
		'pages' => array( 'page' ),
		'show' => array(
			'template' => array('template-contact.php'),
		),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Contact Email', 'heylone'),
				'id' => $prefix . 'contact_form_email',
				'desc' => __("Enter email id to send email from contact page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			)
		)
	);					
	/**** End Contact Template Meta Box *******/
	
	/**** Start Testimonial Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'testimonial_logo_box',
		'title' => __('Client Logo Meta Box', 'heylone'),
		'pages' => array( 'testimonials' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Client Logo', 'heylone'),
				'id' => $prefix . 'client_logo',
				'desc' => __("Upload logo of the client.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 1
			)
		)
	);
	
	/**** End Testimonial Meta Box ****/
	/**** Start Team Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'team_designation_box',
		'title' => __('Team Designation Meta Box', 'heylone'),
		'pages' => array( 'team' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Designation', 'heylone'),
				'id' => $prefix . 'team_designation',
				'desc' => __("Enter designation of team member.", 'heylone'),
				'type'  => 'text',
			)
		)
	);
						
	$meta_boxes[] = array(
		'id'    => 'team_social_box',
		'title' => __('Team Member Social Links Meta Box', 'heylone'),
		'pages' => array( 'team' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Facebook URL', 'heylone'),
				'id' => $prefix . 'team_facebook',
				'desc' => __("Enter facebook url to display facebook icon on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Twitter URL', 'heylone'),
				'id' => $prefix . 'team_twitter',
				'desc' => __("Enter twitter url to display twitter icon on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Dropbox URL', 'heylone'),
				'id' => $prefix . 'team_dropbox',
				'desc' => __("Enter dropbox url to display dropbox icon on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Dribbble URL', 'heylone'),
				'id' => $prefix . 'team_dribbble',
				'desc' => __("Enter dribbble url to display dribbble icon on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Github URL', 'heylone'),
				'id' => $prefix . 'team_github',
				'desc' => __("Enter github url to display github icon on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			)
		)
	);					
	$meta_boxes[] = array(
		'id'    => 'team_email_and_phone_box',
		'title' => __('Team Member Email and Phone Meta Box', 'heylone'),
		'pages' => array( 'team' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Team Member Email', 'heylone'),
				'id' => $prefix . 'team_email',
				'desc' => __("Enter Team Member Email to display  on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),
			array(
				'name' => __('Team Member Phone Number', 'heylone'),
				'id' => $prefix . 'team_phone',
				'desc' => __("Enter Team Member Phone Number on team page.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			),)
	);
	/**** Start Portfolio Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'portfolio_box',
		'title' => __('Portfolio Meta Box', 'heylone'),
		'pages' => array( 'portfolio' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Portfolio Screen', 'heylone'),
				'id'   => $prefix . 'portfolio_screen',
				'type' => 'image_select',
				'options' => array(
					'0'		=>  get_template_directory_uri().'/images/portfolio-layout1.png',
					'1'	=> get_template_directory_uri().'/images/portfolio-layout2.png',
					'2'		=> get_template_directory_uri().'/images/portfolio-layout3.png',
					'3'		=> get_template_directory_uri().'/images/portfolio-layout4.png',
				),
				'multiple' => false,
				'std'  => '0',
				'label_description' => __('Select the style for the portfolio content.', 'heylone')
			),
			array(
				'name' => __('Upload Portfolio Screen 1 Image', 'heylone'),
				'id' => $prefix . 'portfolio_screen1_image',
				'desc' => __("Upload portfolio image.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 10,
				'visible' => array( 'imic_portfolio_screen', '=', '0' ),
			),
			array(
				'name' => __('Upload Portfolio Screen 2 Image', 'heylone'),
				'id' => $prefix . 'portfolio_screen2_image',
				'desc' => __("Upload portfolio image.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 10,
				'visible' => array( 'imic_portfolio_screen', '=', '1' ),
			),
			array(
				'name' => __('Screen 3 Video URL', 'heylone'),
				'id' => $prefix . 'portfolio_screen3_video',
				'desc' => __("Insert Youtube/Vimeo URL.", 'heylone'),
				'type'  => 'text',
				'visible' => array( 'imic_portfolio_screen', '=', '2' ),
			),
			array(
				'name' => __('Screen 4 Video URL', 'heylone'),
				'id' => $prefix . 'portfolio_screen4_video',
				'desc' => __("Insert Youtube/Vimeo URL.", 'heylone'),
				'type'  => 'text',
				'visible' => array( 'imic_portfolio_screen', '=', '3' ),
			),
		)
	);
						
	/**** Image Post Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'post-format-image1',
		'title' => __('Image Post Meta Box', 'heylone'),
		'pages' => array( 'post' ),
		'visible' => array( 'post_format', 'image' ),
		'show_names' => true,
		'fields' => array(
			array(
				'type' => 'heading',
				'name' => __( 'Please use post Featured Image for select or upload post image.', 'heylone' ),
				'id'   => $prefix . 'post_image',
			),

		)
	);
						
	/**** Image Gallery Post Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'post-format-gallery1',
		'title' => __('Image Gallery Post Meta Box', 'heylone'),
		'pages' => array( 'post' ),
		'visible' => array( 'post_format', 'gallery' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Upload Post Gallery Images', 'heylone'),
				'id' => $prefix . 'post_gallery',
				'desc' => __("Select or Upload images for the post.", 'heylone'),
				'type'  => 'image_advanced',
				'max_file_uploads' => 10
			),								
		)
	);
						
	/**** Audio Post Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'post-format-audio1',
		'title' => __('Audio Post Meta Box', 'heylone'),
		'pages' => array( 'post' ),
		'visible' => array( 'post_format', 'audio' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('SoundCloud Track', 'heylone'),
				'id' => $prefix . 'post_audio',
				'desc' => __("Enter youtube/vimeo url to display video on post.", 'heylone'),
				'type'  => 'textarea',
				'std' => '',
			)								
		)
	);					
	
	/**** Video Post Meta Box ****/
	$meta_boxes[] = array(
		'id'    => 'post-format-video1',
		'title' => __('Video Post Meta Box', 'heylone'),
		'pages' => array( 'post' ),
		'visible' => array( 'post_format', 'video' ),
		'show_names' => true,
		'fields' => array(
			array(
				'name' => __('Youtube/Vimeo URL', 'heylone'),
				'id' => $prefix . 'post_video',
				'desc' => __("Enter youtube/vimeo url to display video on post.", 'heylone'),
				'type'  => 'text',
				'std' => '',
			)								
		)
	);
	return $meta_boxes;
}

add_action('rwmb_meta_boxes', 'heylone_register_meta_boxes');
?>