<!DOCTYPE HTML>
<html <?php language_attributes(); ?> class="no-js">
	<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!-- Mobile Specific Metas
	  ================================================== -->
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
	<meta name="format-detection" content="telephone=no">
	<!-- Favicon 
	  ================================================== -->
	<?php $options = get_option('imic_options'); ?>   
	<?php if (isset($options['custom_favicon']) && $options['custom_favicon'] != "") { ?><link rel="shortcut icon" href="<?php echo esc_url($options['custom_favicon']['url']); ?>" /><?php } ?>
	<?php 
	$extra_page_class = (is_home() || is_single() || is_archive()) ? 'inside lgray-bg' : ''; 
	// WORDPRESS HEAD HOOK 
	 wp_head(); ?>
</head>
<!--// OPEN BODY //-->
<body <?php body_class($extra_page_class); ?>>
<?php if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} ?>
<?php
	$preloader = (isset($options['enable_spinner'])) ? $options['enable_spinner'] : 0;
	if($preloader==1){ ?>
	<!-- Preloader -->
	<div id="preloader">
		<div id="spinner"></div>
	</div>
<?php } ?>
<!-- Begin Site Header -->
<header class="site-header" id="sticky-nav"> 
  <!-- Main Navigation -->
  <nav class="navigation">
    <div class="container">
      <div class="row">
        <div class="col-md-2"> 
        	<?php
			if (isset($options['upload_site_logo'])) {
				if(!empty($options['upload_site_logo']['id'])){
					$logo = $options['upload_site_logo']['url'];
				} else {
					$logo = get_template_directory_uri()."/images/logo.png";
				}
			} else {
				$logo = get_template_directory_uri()."/images/logo.png";
			}
			?>
        	<a href="<?php echo home_url(); ?>" class="logo"><img src="<?php echo esc_url($logo); ?>" alt="Logo"></a> 
        </div>
        <div class="col-md-10">
          <?php $menu_locations =get_nav_menu_locations();
				if (defined('HEYLONE_CORE__PLUGIN_URL'))
				{
					$menuClass = 'menu pageScrollerNav';
				} else {
					$menuClass = 'plain-menu';
				}
		  		if(!empty($menu_locations['primary-menu'])){
					$defaults = array(
						'theme_location'  => 'primary-menu',
						'container'       => '',
						'menu_class'      => $menuClass,
					);
					wp_nav_menu( $defaults );
				}
			?>	
        </div>
      </div>
    </div>
  </nav>
  <div class="container">
    <div class="row"> <a href="#" class="btn btn-primary menu-toggle"><i class="fa fa-bars"></i></a> </div>
  </div>
</header>
<!-- End Site Header --> 