<?php
/*
Template Name: About
*/
$custom = get_post_custom(get_the_ID());
$aboutHeading_temp = get_post_meta(get_the_ID(),'imic_page_heading','true');
$aboutHeading = (!empty($aboutHeading_temp))?$aboutHeading_temp: get_the_title() ; // About Page Heading
$aboutText_temp = get_post_meta(get_the_ID(),'imic_page_text','true');
$aboutText = (!empty($aboutText_temp)) ?$aboutText_temp : __('We are a group of creatives, happily growing since its inception','heylone') ; // About Page Text
?>
<!-- Begin About -->
<section class="pages" id="<?php echo basename(get_permalink()); ?>">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-4">
          <hr class="sm">
          <h2><?php echo ''.$aboutHeading; ?></h2>
        </div>
        <div class="col-md-8 title-companion"><?php echo ''.$aboutText; ?></div>
      </div>
    </header>
    <div class="row">
      <?php the_content(); ?>
    </div>
    <div class="spacer-50"></div>
    <div class="row" id="additional-info">
      <?php
	  // About Page How Heylone Section
	  $howHeylone = get_post_meta(get_the_ID(),'imic_about_ml_how','true');
         // About Page What's Section
	  $whatHeylone = get_post_meta(get_the_ID(),'imic_about_ml_what','true');
          imic_meta_content_filter($howHeylone); 
	  imic_meta_content_filter($whatHeylone);
	 // About Page Slider Section
	  $aboutSlider = (!empty($custom['imic_about_slider'])) ? $custom['imic_about_slider'] : array() ; 
	  $aboutSliderView = '';
	  // Create about page slider images html	
	  foreach($aboutSlider as $slide){
			$aboutSlideImageURL = wp_get_attachment_image_src( $slide, 'slides' );
			$aboutSliderView .= '<li class="item"> <img src="' . $aboutSlideImageURL[0] . '" alt="Img">
									<div class="caption">'.get_the_title($slide).'</div>
								  </li>';
		}
	  ?>	
      <div class="col-md-6 hidden-sm hidden-xs">
        <ul class="adv-carousel owl-carousel single-carousel owl-alt-controls img-thumbnail" data-columns="1" data-style="fadeUp" data-autoplay="yes" data-pagination="no" data-arrows="yes" data-single-item="yes">
          <?php echo ''.$aboutSliderView; ?>	
        </ul>
      </div>
    </div>
    <div class="spacer-50"></div>
  </div>
  <?php
  // About Page Some Fact Section
  $aboutSFHeading = get_post_meta(get_the_ID(),'imic_about_sf_heading','true');
  $aboutSFImage = get_post_meta(get_the_ID(),'imic_about_sf_image','true');
  $aboutSFFacts = get_post_meta(get_the_ID(),'imic_about_sf_facts','true');
  if(!empty($aboutSFImage)){
	  $SFImageURL = wp_get_attachment_image_src( $aboutSFImage, 'full' );
	  $aboutSFImageURL = 'style="background-image:url(\''.$SFImageURL[0].'\')"';
  }else{
  	  $aboutSFImageURL =  '';	
  }
  ?>
  <div class="parallax parallax2" <?php echo ''.$aboutSFImageURL; ?> id="facts">
    <div class="overlay-transparent padding-tb100">
      <div class="container">
        <div class="row text-align-center counters">
          <h4><?php echo ''.$aboutSFHeading; ?></h4>
          <hr class="sm">
          <div class="clearfix"></div>
          <?php imic_meta_content_filter($aboutSFFacts); ?>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- End About -->