<?php
/*
Template Name: Contact
*/
$contactHeading_temp = get_post_meta(get_the_ID(),'imic_page_heading','true');
$contactHeading = (!empty($contactHeading_temp)) ?$contactHeading_temp: get_the_title() ; // Contact Page Heading
$contactText_temp = get_post_meta(get_the_ID(),'imic_page_text','true');
$contactText = (!empty($contactText_temp)) ?$contactText_temp: __('Just say hello or discuss about your project.','heylone') ; // Contact Page Text
$contactEmail = get_post_meta(get_the_ID(),'imic_contact_form_email','true');
$address = (trim($contactEmail) == '')? get_bloginfo( 'admin_email' ) : $contactEmail; // Contact Email
?>   
<!-- Begin Contact -->
<section class="pages" id="<?php echo basename(get_permalink()); ?>">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-4">
          <hr class="sm">
          <h2><?php echo ''.$contactHeading; ?></h2>
        </div>
        <div class="col-md-8 title-companion"><?php echo ''.$contactText; ?></div>
      </div>
    </header>
    <div class="row margin-50">
      <div class="col-md-8 col-md-offset-2">
        <?php the_content(); ?>
        <div class="row">
          <form method="post" id="contactform" name="contactform" class="contact-form" action="<?php echo get_template_directory_uri(); ?>/mail/contact.php">
            <div class="col-md-6 margin-15">
              <div class="form-group">
                <input type="text" id="name" name="name"  class="form-control input-lg" placeholder="<?php _e('Name*', 'heylone') ?>">
              </div>
              <div class="form-group">
                <input type="email" id="email" name="email"  class="form-control input-lg" placeholder="<?php _e('Email*', 'heylone') ?>">
              </div>
              <div class="form-group">
                <input type="text" id="phone" name="phone" class="form-control input-lg" placeholder="<?php _e('Phone', 'heylone') ?>">
              </div>
            </div>
            <div class="col-md-6 margin-15">
              <div class="form-group">
                <textarea cols="6" rows="6" id="comments" name="comments" class="form-control input-lg" placeholder="<?php _e('Message', 'heylone') ?>"></textarea>
              </div>
            </div>
            <div class="col-md-12 text-align-center">
              <input id="submit" name="submit" type="submit" class="btn btn-default btn-lg" value="<?php _e('Submit now!', 'heylone') ?>">
            </div>
            <input type="hidden" name="contact_email" id="contact_email" value="<?php echo ''.$address; ?>">
			<input type="hidden" name="path" id="path" value="<?php echo get_template_directory_uri(); ?>">
          </form>
          <div class="clearfix"></div>
          <div id="message"></div>
        </div>
      </div>
    </div>
  </div>
  <?php  
        $contactAddress = get_post_meta(get_the_ID(),'imic_contact_address','true');// Contact Address
		$contactEmail = get_post_meta(get_the_ID(),'imic_contact_email','true');// Contact Email
		$contactNumber = get_post_meta(get_the_ID(),'imic_contact_number','true'); // Contact Number
		$contactDetailIcons = array('fa-map-marker', 'fa-envelope', 'fa-phone');
		$contactDetail = array($contactAddress, $contactEmail, $contactNumber);
		$contactArrayValues = array_filter($contactDetail, 'strlen');
		if(!empty($contactArrayValues)){
                ?>
  <div class="padding-tb45 accent-color contact-info">
  	<div class="container">
    	<div class="row">
        	<?php	// Display Contact Details 
			$index = 0;
			foreach($contactDetail as $value){
				$detailPara = ($index ==1 ) ? '<p><a href="mailto:'.$value.'">'.$value.'</a></p>' : '<p>'.$value.'</p>' ;
				$detailIcon = (!empty($value)) ? '<i class="fa '. $contactDetailIcons[$index] .' fa-lg"></i>' : '' ;	
			?>
				<div class="col-md-4 col-sm-4">
                    <?php echo ''.$detailIcon . $detailPara; ?>
                </div>
        	<?php $index++;
			} ?>
        </div>
    </div>
  </div>
  <?php }
    $contactMapDetails = get_post_meta(get_the_ID(),'imic_contact_map'); // Contact Map
    $contactMapValues = array_filter($contactMapDetails, 'strlen');
    if(!empty($contactMapValues)){
  ?>
  <div id="gmap">
  	<iframe height="350" src="https://maps.google.com/?ie=UTF8&amp;ll=<?php echo ''.$contactMapValues[0].','.''.$contactMapValues[1]; ?>&amp;spn=0.043846,0.077162&amp;t=m&amp;z=14&amp;output=embed&scrollwheel=false"></iframe>
  </div>
  <?php } ?>
</section>
<!-- End Contact -->