<?php
/*
  Template Name: Home
 */
get_header();
$custom = get_post_custom(get_the_ID());
$showcaseType = get_post_meta(get_the_ID(),'imic_showcase_type','true');
$homeRunningText = get_post_meta(get_the_ID(),'imic_running_text','true');
$showcaseImage = $showcaseSlider = $showcaseVideo = $runningstring =$page_to_link_arrow_with_icon= '';
$page_to_link_arrow=get_post_meta(get_the_ID(),'imic_page_to_link_arrow',true);
if(!empty($page_to_link_arrow)){
$page_to_link_arrow_with_icon='<a href="#'.$page_to_link_arrow.'" class="scrollto"><i class="fa fa-angle-down fa-2x more"></i></a>';
}
$patternClass = $extraClass = '';
if ($showcaseType == 0) {
    $patternClass = 'parallax-overlay';
    $extraClass = '';
    /*     * * Generate code for showcase image if type image ** */
    $showcaseImageDetails = get_post_meta(get_the_ID(),'imic_showcase_image','true');
    if (!empty($showcaseImageDetails)) {
        $imageURL = wp_get_attachment_image_src($showcaseImageDetails, 'full');
        $showcaseImage .= 'style="background-image:url(' . $imageURL[0] . ');"';
    }
} else if ($showcaseType == 1) {
    $patternClass = 'pattern-overlay';
    $extraClass = 'wwidth';
    /*     * * Generate code for showcase slider if type slider ** */
    $showcaseSliderDetails = get_post_meta(get_the_ID(),'imic_showcase_slider',false);
    if(!empty($showcaseSliderDetails)){
    $showcaseSlider .= '<!-- Hero Slider -->
							<div class="hero-slider flexslider slider-container">
								<ul class="slides">';
    foreach ($showcaseSliderDetails as $slide) {
        $slideImageURL = wp_get_attachment_image_src($slide, 'full');
        $showcaseSlider .= '<li><img src="' . $slideImageURL[0] . '" alt="slide1"></li>';
    }
    $showcaseSlider .= '</ul>
					</div>
					<!-- End Hero Slider -->';
}} else if ($showcaseType == 2) {
    $patternClass = 'pattern-overlay';
    $extraClass = '';
    /*     * * Generate code for showcase video if type video ** */
    $showcaseVideoDetails = get_post_meta(get_the_ID(),'imic_showcase_video','true');
    if(!empty($showcaseVideoDetails)){
    $showcaseVideo .= "<!-- Video -->
						<div id='P3' class='player video-container' data-property=\"{videoURL:'" . $showcaseVideoDetails . "',containment:'.showcase',autoPlay:true, mute:true, startAt:0, opacity:1}\"></div>
						<!-- End Video -->";
}}
/* * * Generate running text code for showcase ** */
if (!empty($homeRunningText)) {
    foreach ($homeRunningText as $runningtext => $text) {
        $runningstring .= '<span>' . $text . '</span>';
    }
}
/* * * Generate site logo url ** */
$showcase_logo = get_post_meta(get_the_ID(),'imic_showcase_logo',true);
$showcase_logo = wp_get_attachment_image_src($showcase_logo, 'full');
if (!empty($showcase_logo)) {
    $logo = $showcase_logo[0];
} else {
    $logo = get_template_directory_uri() . "/images/logo.png";
}
?>
<!-- Begin Home -->
<section class="showcase <?php echo esc_attr($extraClass); ?> wheighter parallax pages" id="<?php echo strtolower(get_the_title()); ?>" <?php echo ''.$showcaseImage ?>> <?php echo ''.$page_to_link_arrow_with_icon; ?>
    <?php echo ''.$showcaseSlider; ?>
    <div class="centered <?php echo esc_attr($patternClass); ?> wheighter wwidth">
        <?php echo ''.$showcaseVideo; ?>
        <div class="container">
            <div class="row">
                <div class="col-md-12"> 
                    <a href="<?php echo home_url(); ?>" class="logo"><img src="<?php echo esc_url($logo); ?>" alt="Logo"></a>
                    <div class="word-rotate"> <span class="word-rotate-items"> <?php echo ''.$runningstring; ?> </span> </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End Home --> 
<?php
/* * * Load another pages for single page template ** */
$args = array(
	'child_of' =>get_the_ID(),
	'post_type' => 'page',
	'post_status' => 'publish',
    'sort_order' => 'ASC',
	'sort_column' => 'menu_order',
); 
$pages = get_pages($args); 
$templates = $pageID = array();
if(count($pages)>0){
foreach ((array) $pages as $menu_item) {
    $template_file = substr(get_page_template_slug($menu_item->ID), 0, -4);
    $template_name = explode('-', $template_file);
    if (!empty($template_name[1])) {
        array_push($templates, $template_name[1]);
        array_push($pageID, $menu_item->ID);
    }
}
query_posts(array('post_type' => 'page', 'post__in' => $pageID, 'orderby' => 'post__in', 'posts_per_page' => -1));
$index = 0;
if (have_posts()):
    while (have_posts()): the_post();
        (isset($templates[$index])) ? get_template_part('template', $templates[$index]) : '';
        $index++;
    endwhile;
endif;
}
get_footer();
?>