<?php
/*
Template Name: Portfolio
*/
$portfolioHeading_temp = get_post_meta(get_the_ID(),'imic_page_heading','true');
$portfolioHeading = (!empty($portfolioHeading_temp)) ?$portfolioHeading_temp:get_the_title() ; // Portfolio Page Heading
$portfolioText_temp = get_post_meta(get_the_ID(),'imic_page_text','true');
$portfolioText = (!empty($portfolioText_temp)) ?$portfolioText_temp : __('Some of our awesome work. Click on project thumbs to reveal project details.', 'heylone') ; // Portfolio Page Text
?>
<!-- Begin Portfolio -->
<section class="pages lgray-bg contentWrapper" id="<?php echo basename(get_permalink()); ?>">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-4">
          <hr class="sm">
          <h2><?php echo ''.$portfolioHeading; ?></h2>
        </div>
        <div class="col-md-8 title-companion">
          <div class=" call-to-action"><?php echo ''.$portfolioText; ?></div>
        </div>
      </div>
    </header>
  </div>
  <ul class="portfolio-container" id="projects">
  	<?php
        $postIDs = get_post_meta(get_the_ID(),'imic_portfolio_hiddenitem','true');
  	// Start Display Portfolios
	$portfolioTemp_query = clone $wp_query;
	$postSequence = explode(',', $postIDs);
	$main_query = clone $wp_query;
	$args = array( 'order' => 'DESC', 'post_type' => 'portfolio', 'post__in' => $postSequence, 'orderby'=>'post__in', 'posts_per_page' => -1);
	query_posts($args);
	if (have_posts()):
		while (have_posts()):the_post();
			$terms = get_the_terms( get_the_ID() , 'portfolio-category' ); 
			$separator = ', ';
			$portfolioCategories = '';
                        if(!empty($terms)){
			foreach ( $terms as $term ) {
				$portfolioCategories .= $term->name . $separator;
			}
                        }
			if ( has_post_thumbnail()) :
		?>
                <!-- Portfolio Item  -->
                <li class="portfolio-item" data-url="<?php the_permalink(); ?>">
                  <div class="project-overlay"></div>
                  <div class="portfolio-image"> 
                    <?php
                     if ( has_post_thumbnail()) :
                        the_post_thumbnail('work_portfolio');
                     endif;
                     ?>
                  </div>
                  <div class="project-info">
                    <h4><?php the_title(); ?></h4>
                    <span class="project-categories"><?php echo trim($portfolioCategories, $separator); ?></span></div>
                </li>										
	<?php	endif; 
		endwhile;
	endif;	
	$wp_query = clone $portfolioTemp_query;
	// End Display Portfolios
  ?>
  </ul>
  <div class="clearfix"></div>
  <div class="container">
  <?php 
          $portfolioFBHeading_temp = get_post_meta(get_the_ID(),'imic_portfolio_fb_heading','true');
	  $portfolioFBHeading = (!empty($portfolioFBHeading_temp)) ?$portfolioFBHeading_temp : __('From the blog', 'heylone'); ; // Portfolio Page From the blog Heading
	  $portfolioFBNumber_temp = get_post_meta(get_the_ID(),'imic_portfolio_fb_nblog','true');
          $portfolioFBNumber = (!empty($portfolioFBNumber_temp)) ? (int) $portfolioFBNumber_temp : 4 ; // Portfolio Page From the blog number of posts
    	// Start Blog Posts
	$ptemp_query = clone $wp_query;
	$args = array( 'order' => 'DESC', 'post_type' => 'post', 'posts_per_page' => $portfolioFBNumber, 'post_status' => 'publish');
	query_posts($args);
	if (have_posts()):
		$flag = 0;
		$blogRowStarts = $blogRowEnds = array();
		for($i=1; $i<=$portfolioFBNumber; $i+=4)
		{
			array_push($blogRowStarts,$i);
			array_push($blogRowEnds,$i-1);
		}
		array_shift($blogRowEnds);
		while (have_posts()):the_post();
			$flag++;
			$customPost = get_post_custom(get_the_ID());
			$blogPostFormat = get_post_format( get_the_ID() );
			if(in_array($flag,$blogRowStarts)){ 
				echo '<div class="row">';
				if($flag==1){
					echo '<div class="padding-tb45">
							<h4 class="text-align-center">'.$portfolioFBHeading.'</h4>
						  </div>';	
				} ?>
					<article class="col-md-6 col-sm-4 blog-item">
						<div class="row">
						  <div class="col-md-6">
                          <?php
                          switch($blogPostFormat){
								case 'image': if ( has_post_thumbnail()) : the_post_thumbnail('work_blog'); endif; break;
								case 'gallery': $postGallery = $customPost['imic_post_gallery'];
												$postSlider = '';
												foreach($postGallery as $slide){
													$slideImageURL = wp_get_attachment_image_src( $slide, 'work_blog' );
													$postSlider .= '<li class="item"><img src="' . $slideImageURL[0] . '" alt="slide1"></li>';															   
												} ?> 
												<ul class="adv-carousel owl-carousel single-carousel" data-columns="1" data-autoplay="yes" data-pagination="no" data-arrows="yes" data-single-item="yes">
													  <?php echo ''.$postSlider; ?>
												</ul> <?php break;
								 case 'audio': $postAudio = get_post_meta(get_the_ID(),'imic_service_page_heading','true'); 
											  if(!empty($postAudio)){ echo ''.$postAudio; } break;
								case 'video': $postVideo = get_post_meta(get_the_ID(),'imic_post_video','true'); 
								if(!empty($postVideo)){ echo imic_video_embed($postVideo, 400, 320); } break;
								default : if ( has_post_thumbnail()) : the_post_thumbnail('blog_posts'); endif; break;
							} ?> 
                                                  </div>
						  <div class="col-md-6">
							<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
							<span class="date"><?php _e('Posted by ','heylone'); the_author_posts_link(); _e(' on ','heylone'); the_time('dS M, Y') ?></span>
                            <p><?php string_limit_words(get_the_excerpt(),29); ?></p>
						  </div>
						</div>
					  </article>
               <?php       
			}
			
			if(in_array($flag-1,$blogRowStarts)){ ?>
				<article class="col-md-3 col-sm-4 blog-item">
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <span class="date"><?php _e('Posted by ','heylone'); the_author_posts_link(); _e(' on ','heylone'); the_time('dS M, Y') ?></span>
                    <p><?php string_limit_words(get_the_excerpt(),29); ?></p>
                </article>
			<?php }
			
			if(in_array($flag-2,$blogRowStarts)){ ?>
				<article class="col-md-3 col-sm-4">
                    <div class="row">
                      <div class="col-md-12 blog-item">
                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <span class="date"><?php _e('Posted by ','heylone'); the_author_posts_link(); _e(' on ','heylone'); the_time('dS M, Y') ?></span> </div>
			<?php }
			
			if(in_array($flag-2,$blogRowStarts) &&  $flag == $portfolioFBNumber){
				echo '</div></article>';
			}
			
			if(in_array($flag,$blogRowEnds) || $flag==4){ ?>
					<div class="col-md-12 blog-item">
                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <span class="date"><?php _e('Posted by ','heylone'); the_author_posts_link(); _e(' on ','heylone'); the_time('dS M, Y') ?></span> </div>
                  </div>      
                </article>
			<?php }
						
			if(in_array($flag,$blogRowEnds) || $flag == $portfolioFBNumber){ echo '</div>'; }									
		endwhile;
	endif;	
	$wp_query = clone $ptemp_query;
	// End Blog Posts 
  ?>
  </div>
</section>
<!-- End Portfolio --> 