<?php
class HeyloneFeatures{
    function __construct()
    {
        if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )  
        {  
            add_filter('mce_external_plugins', array($this, 'imic_add_tinymce_plugin'));  
            add_filter('mce_buttons', array($this, 'imic_register_shortcode_button'));  
        }
        if ( ! function_exists( 'rwmb_meta_shortcode' ) ) {
            add_shortcode( 'rwmb_meta', 'rwmb_meta_shortcode' );
        }
    }

	function imic_register_shortcode_button($button) {  
	    array_push($button, 'separator', 'imicframework_shortcodes' );  
	    return $button;  
	}
	
	function imic_add_tinymce_plugin($plugins) {  
	    $plugins['imicframework_shortcodes'] = HEYLONE_CORE__PLUGIN_URL . 'shortcodes/tinymce.editor.plugin.js';  
	    return $plugins;  
	
	}
}
function heylone_core_initialize_features()
{
    new HeyloneFeatures;
    require_once HEYLONE_CORE__PLUGIN_PATH . 'shortcodes.php';
}
add_action('init', 'heylone_core_initialize_features');
/* CUSTOM ADMIN MENU ITEMS
  ================================================== */
if (!function_exists('imic_admin_bar_menu')) {
    function imic_admin_bar_menu() {
        global $wp_admin_bar;
        if (current_user_can('manage_options')) {
            $theme_options = array(
                'id' => '1',
                'title' => __('Options', 'heylone'),
                'href' => admin_url('/admin.php?page=imic_options'),
                'meta' => array('target' => 'blank')
            );
            $wp_admin_bar->add_menu($theme_options);
            $theme_customizer = array(
                'id' => '2',
                'title' => __('Customizer', 'heylone'),
                'href' => admin_url('/customize.php'),
                'meta' => array('target' => 'blank')
            );
            $wp_admin_bar->add_menu($theme_customizer);
        }
    }
    add_action('admin_bar_menu', 'imic_admin_bar_menu', 99);
}
function imic_remove_redux_framework_notices() { // Be sure to rename this function to something more unique
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
add_action('init', 'imic_remove_redux_framework_notices');

require_once(HEYLONE_CORE__PLUGIN_PATH . 'meta-boxes/meta-box/meta-box.php');
require_once(HEYLONE_CORE__PLUGIN_PATH . 'meta-boxes/meta-box-conditional-logic/meta-box-conditional-logic.php');
require_once(HEYLONE_CORE__PLUGIN_PATH . 'meta-boxes/meta-box-show-hide/meta-box-show-hide.php');
include_once HEYLONE_CORE__PLUGIN_PATH . 'theme-options/ReduxCore/framework.php';
    
require_once(HEYLONE_CORE__PLUGIN_PATH . 'custom-post-types/portfolio-type.php');
require_once(HEYLONE_CORE__PLUGIN_PATH . 'custom-post-types/team-type.php');
require_once(HEYLONE_CORE__PLUGIN_PATH . 'custom-post-types/testimonials-type.php');
